CREATE TABLE grc_acn_certification (
    CERTIFICATION_ID             NUMBER(18, 0) ,
    CERTIFICATION_NAME           VARCHAR2(1020)    NOT NULL,
    CERTIFICATION_DESCRIPTION    VARCHAR2(4000),
    REUSE_CERTIFICATION_ID       NUMBER(18, 0) ,
    STATUS                       VARCHAR2(120)     NOT NULL,
    TYPE                         VARCHAR2(120)     NOT NULL,
    STATE_CODE                   VARCHAR2(120)     NOT NULL,
    MODEL_ID                     NUMBER(18, 0) ,
    ADMIN_PERSP_ITEM_ID          NUMBER(18, 0) ,
    ADMIN_REMINDER_DAY           NUMBER(2, 0)  ,
    AUDITOR_REMINDER_DAY         NUMBER(2, 0)  ,
    OWNER_REMINDER_DAY           NUMBER(2, 0)  ,
    START_DATE                   DATE          ,
    CLOSE_DATE                   DATE          ,
    DUE_DATE                     DATE              NOT NULL,
    OBJECT_TYPE_CODE             VARCHAR2(120)     NOT NULL,
    CONFIG_ID                    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    MANAGER_REMINDER_DAY         NUMBER(2, 0)  ,
    USER_ROLE_COUNT              NUMBER(18, 0) ,
    MIGRATION_VERSION            VARCHAR2(180) ,
    CERTIFICATION_ID             NUMBER(18, 0) ,
    CERTIFICATION_NAME           VARCHAR2(1020)    NOT NULL,
    CERTIFICATION_DESCRIPTION    VARCHAR2(4000),
    REUSE_CERTIFICATION_ID       NUMBER(18, 0) ,
    STATUS                       VARCHAR2(120)     NOT NULL,
    STATE_CODE                   VARCHAR2(120)     NOT NULL,
    MODEL_ID                     NUMBER(18, 0) ,
    ADMINISTRATOR_ID             VARCHAR2(256) ,
    ADMIN_PERSP_ITEM_ID          NUMBER(18, 0) ,
    ADMIN_REMINDER_DAY           NUMBER(2, 0)  ,
    AUDITOR_REMINDER_DAY         NUMBER(2, 0)  ,
    OWNER_REMINDER_DAY           NUMBER(2, 0)  ,
    START_DATE                   DATE          ,
    CLOSE_DATE                   DATE          ,
    DUE_DATE                     DATE              NOT NULL,
    OBJECT_TYPE_CODE             VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    TYPE                         VARCHAR2(120)     NOT NULL,
    CONFIG_ID                    NUMBER(18, 0) ,
    MANAGER_REMINDER_DAY         NUMBER(2, 0)  ,
    USER_ROLE_COUNT              NUMBER(18, 0) ,
    MIGRATION_VERSION            VARCHAR2(180) ,
    CONSTRAINT pk_grc_acn_certification PRIMARY KEY (CERTIFICATION_ID, CERTIFICATION_ID)
);
